Name: python-getmail6
Version: 6.19.04
Release: 1%{?dist}
Summary: A mail retrieval, sorting, and delivering system

License: GPL-2.0-only
URL: https://www.getmail6.org/
Source: https://github.com/getmail6/getmail6/archive/refs/tags/v%{version}.tar.gz

BuildArch: noarch

%global _description %{expand:
getmail6 is a flexible, extensible mail retrieval system with
support for POP3, IMAP4, SSL variants of both, maildirs, mboxrd files,
external MDAs, arbitrary message filtering, single-user and domain-mailboxes,
and many other useful features.}

%description %_description

%package -n python3-getmail6
Summary: %{summary}
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description -n python3-getmail6 %_description

%prep
%autosetup -n getmail6-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-getmail6
%defattr(-,root,root)
%{_bindir}/getmail
%{_bindir}/getmail-gmail-xoauth-tokens
%{_bindir}/getmail_fetch
%{_bindir}/getmail_maildir
%{_bindir}/getmail_mbox
%{_bindir}/getmails
%{python3_sitelib}/getmail6-*.egg-info/
%{python3_sitelib}/getmailcore/
%{_docdir}/getmail-*/
%{_mandir}/man1/*

%changelog
* Tue Sep 24 2023 Jiri Denemark <jdenemar@redhat.com> - 6.19.04-1
- update to current upstream

* Fri Nov 17 2023 Jiri Denemark <jdenemar@redhat.com> - 6.18.13-1
- packaged for Fedora
